Bug 394511 - rebuilding devhelp against xulrunner fails
rebuilding devhelp against xulrunner fails
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xulrunner (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-21 11:36 EST by Matthias Clasen
Modified: 2007-11-30 17:12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-22 07:30:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
build patch (775 bytes, patch)
2007-11-22 06:53 EST, Martin Stransky
no flags Details | Diff
slightly polished patch (1.00 KB, patch)
2007-11-22 07:28 EST, Martin Stransky
no flags Details | Diff

  None (edit)
Description Matthias Clasen 2007-11-21 11:36:00 EST
tried with xulrunner-1.9.0-beta1.1.fc9

first it complains about redefinitions of NS_HIDDEN and friends in
gtkmozembed.h, then it doesn't find nsIPrintSettings.h, and things
go downhill from there...


/usr/include/xulrunner-1.9b2pre/gtkembedmoz/gtkmozembed.h:62:1: warning:
"NS_HIDDEN" redefined
In file included from /usr/include/xulrunner-1.9b2pre/string/nsXPCOMStrings.h:42,
                 from /usr/include/xulrunner-1.9b2pre/xpcom/nsStringAPI.h:52,
                 from Yelper.cpp:28:
/usr/include/xulrunner-1.9b2pre/xpcom/nscore.h:117:1: warning: this is the
location of the previous definition
In file included from Yelper.cpp:30:
/usr/include/xulrunner-1.9b2pre/gtkembedmoz/gtkmozembed.h:68:1: warning:
"NS_EXPORT_" redefined
In file included from /usr/include/xulrunner-1.9b2pre/string/nsXPCOMStrings.h:42,
                 from /usr/include/xulrunner-1.9b2pre/xpcom/nsStringAPI.h:52,
                 from Yelper.cpp:28:
/usr/include/xulrunner-1.9b2pre/xpcom/nscore.h:208:1: warning: this is the
location of the previous definition
In file included from Yelper.cpp:30:
/usr/include/xulrunner-1.9b2pre/gtkembedmoz/gtkmozembed.h:69:1: warning:
"NS_IMPORT_" redefined
In file included from /usr/include/xulrunner-1.9b2pre/string/nsXPCOMStrings.h:42,
                 from /usr/include/xulrunner-1.9b2pre/xpcom/nsStringAPI.h:52,
                 from Yelper.cpp:28:
/usr/include/xulrunner-1.9b2pre/xpcom/nscore.h:206:1: warning: this is the
location of the previous definition
In file included from /usr/include/xulrunner-1.9b2pre/xpcom/nsrootidl.h:11,
                 from /usr/include/xulrunner-1.9b2pre/xpcom/nsISupports.h:10,
                 from /usr/include/xulrunner-1.9b2pre/webbrwsr/nsIWebBrowser.h:10,
                 from
/usr/include/xulrunner-1.9b2pre/gtkembedmoz/gtkmozembed_internal.h:43,
                 from dh-gecko-utils.cpp:25:
/usr/include/xulrunner-1.9b2pre/xpcom/nscore.h:117:1: warning: "NS_HIDDEN" redefined
In file included from /usr/include/xulrunner-1.9b2pre/gtkembedmoz/gtkmozembed.h:100,
                 from dh-gecko-utils.cpp:24:
/usr/include/xulrunner-1.9b2pre/gtkembedmoz/gtkmozembed_common.h:55:1: warning:
this is the location of the previous definition
In file included from /usr/include/xulrunner-1.9b2pre/xpcom/nsrootidl.h:11,
                 from /usr/include/xulrunner-1.9b2pre/xpcom/nsISupports.h:10,
                 from /usr/include/xulrunner-1.9b2pre/webbrwsr/nsIWebBrowser.h:10,
                 from
/usr/include/xulrunner-1.9b2pre/gtkembedmoz/gtkmozembed_internal.h:43,
                 from dh-gecko-utils.cpp:25:
/usr/include/xulrunner-1.9b2pre/xpcom/nscore.h:206:1: warning: "NS_IMPORT_"
redefined
In file included from /usr/include/xulrunner-1.9b2pre/gtkembedmoz/gtkmozembed.h:100,
                 from dh-gecko-utils.cpp:24:
/usr/include/xulrunner-1.9b2pre/gtkembedmoz/gtkmozembed_common.h:61:1: warning:
this is the location of the previous definition
In file included from /usr/include/xulrunner-1.9b2pre/xpcom/nsrootidl.h:11,
                 from /usr/include/xulrunner-1.9b2pre/xpcom/nsISupports.h:10,
                 from /usr/include/xulrunner-1.9b2pre/webbrwsr/nsIWebBrowser.h:10,
                 from
/usr/include/xulrunner-1.9b2pre/gtkembedmoz/gtkmozembed_internal.h:43,
                 from dh-gecko-utils.cpp:25:
/usr/include/xulrunner-1.9b2pre/xpcom/nscore.h:208:1: warning: "NS_EXPORT_"
redefined
In file included from /usr/include/xulrunner-1.9b2pre/gtkembedmoz/gtkmozembed.h:100,
                 from dh-gecko-utils.cpp:24:
/usr/include/xulrunner-1.9b2pre/gtkembedmoz/gtkmozembed_common.h:60:1: warning:
this is the location of the previous definition
Yelper.cpp:44:30: error: nsIPrintSettings.h: No such file or directory
Comment 1 Martin Stransky 2007-11-22 06:53:44 EST
Created attachment 266751 [details]
build patch

There's a patch what makes devhelp happy with xulrunner. It should be polished
before a merge with upstream...
Comment 2 Martin Stransky 2007-11-22 07:28:22 EST
Created attachment 266791 [details]
slightly polished patch
Comment 3 Martin Stransky 2007-11-22 07:30:46 EST
added to devhelp-0.16.1-4.fc9.
Comment 4 Matthias Clasen 2007-11-22 16:42:23 EST
Thanks, I've filed an upstream bug with your patch.

Note You need to log in before you can comment on or make changes to this bug.